org.deidentifier.arx.io

## Class ImportConfiguration

- java.lang.Object
- - org.deidentifier.arx.io.ImportConfiguration

Direct Known Subclasses:
  ImportConfigurationFile, ImportConfigurationJDBC

    public abstract class ImportConfiguration
    extends java.lang.Object

Abstract base configuration This abstract superclass defines properties that all configurations have in common, i.e. a notion of columns, which can be added and retrieved.

Author:
  Karol Babioch, Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ImportConfiguration()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `addColumn(ImportColumn column)` Adds a single column to import from.
`java.util.List<ImportColumn>` `getColumns()` Returns all added columns.
`boolean` `isOptimizedLoading()` Tries to enable more efficient loading, if supported
`void` `setOptimizedLoading(boolean optimizedLoading)` Tries to enable more efficient loading, if supported

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportConfiguration

    public ImportConfiguration()

### Method Detail

#### addColumn

    public abstract void addColumn(ImportColumn column)

Adds a single column to import from.

Parameters:
  `column` - A single column to import from

#### getColumns

    public java.util.List<ImportColumn> getColumns()

Returns all added columns.

Returns:
  `columns`

#### isOptimizedLoading

    public boolean isOptimizedLoading()

Tries to enable more efficient loading, if supported

Returns:
  the optimizedLoading

#### setOptimizedLoading

    public void setOptimizedLoading(boolean optimizedLoading)

Tries to enable more efficient loading, if supported

Parameters:
  `optimizedLoading` -